Page MenuHomePhabricator

Gridengine upgrade causes puppet failures
Closed, ResolvedPublic

Description

And with that, our Shinken reporting is also broken.

Cause seems to be the gridengine upgrade. On a failing host:

valhallasw@tools-exec-1202:~$ dpkg -s gridengine-exec | grep Version
Version: 6.2u5-4~wmf1
valhallasw@tools-exec-1202:~$ dpkg -s gridengine-common | grep Version
Version: 6.2u5-4

while on an OK host:

valhallasw@tools-exec-1201:~$ dpkg -s gridengine-common | grep Version
Version: 6.2u5-4~wmf1
valhallasw@tools-exec-1201:~$ dpkg -s gridengine-exec | grep Version
Version: 6.2u5-4~wmf1
Error: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install gridengine-common' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  python-greenlet python-gevent python-mailer
Use 'apt-get autoremove' to remove them.
The following packages will be DOWNGRADED:
  gridengine-common
0 upgraded, 0 newly installed, 1 downgraded, 0 to remove and 25 not upgraded.
Need to get 423 kB of archives.
After this operation, 0 B of additional disk space will be used.
E: There are problems and -y was used without --force-yes

Error: /Stage[main]/Gridengine/Package[gridengine-common]/ensure: change from 6.2u5-4 to 6.2u5-4~wmf1 failed: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install gridengine-common' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  python-greenlet python-gevent python-mailer
Use 'apt-get autoremove' to remove them.
The following packages will be DOWNGRADED:
  gridengine-common
0 upgraded, 0 newly installed, 1 downgraded, 0 to remove and 25 not upgraded.
Need to get 423 kB of archives.
After this operation, 0 B of additional disk space will be used.
E: There are problems and -y was used without --force-yes

Notice: /Stage[main]/Gridengine::Exec_host/Package[gridengine-exec]: Dependency Package[gridengine-common] has failures: true
Warning: /Stage[main]/Gridengine::Exec_host/Package[gridengine-exec]: Skipping because of failed dependencies
Notice: Finished catalog run in 67.36 seconds

Event Timeline

valhallasw raised the priority of this task from to Unbreak Now!.
valhallasw updated the task description. (Show Details)
valhallasw added a project: Toolforge.
valhallasw added a subscriber: valhallasw.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2015, 11:32 AM

@coren how were the packages installed? Did you put them in labsdebrepo or were they put in the wmf repo on carbon?

Ok, so I don't find it on labsdebrepo nor on wmf repo on carbon...

The package with +wmf2 (instead of the ~wmf1 prerelease) version number is now on apt.wm.o. Running

sudo apt-get update
sudo puppet agent -tv

on tools-exec-1202 updates both packages to +wmf2:

Notice: /Stage[main]/Gridengine/Package[gridengine-common]/ensure: ensure changed '6.2u5-4' to '6.2u5-4+wmf2'
Notice: /Stage[main]/Gridengine::Exec_host/Package[gridengine-exec]/ensure: ensure changed '6.2u5-4~wmf1' to '6.2u5-4+wmf2'

I haven't forced this on any other hosts, but they will automatically be resolved after the next apt-get update & puppet agent, so around midnight UTC.

yuvipanda closed this task as Resolved.May 27 2015, 6:24 PM
yuvipanda claimed this task.

Yup, I tested and it seems ok.

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 7 2017, 6:51 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald Transcript